#include<cmath>
#include <bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	int n,maxindex=0,indzamena=0,maxbr=0,j=0;
	cin>>n;
	int niz[n];
	for(int i=0;i<n;i++)cin>>niz[i];
	if(n==2){
	swap(niz[0],niz[1]);
	goto ispis;
	}	
	for(int i=0;i<n;i++){
		if(niz[i]>maxbr){
			maxbr=niz[i];
		}
	}
	for(int i=0;i<n;i++){
		if(niz[i]==maxbr){
			i++;
			maxbr=0;
		}
		if(niz[i]>maxbr){
			maxbr=niz[i];
			maxindex=i;
			indzamena=i-1;
		}
	}
	swap(niz[indzamena],niz[maxindex]);
	ispis: for(int i=0;i<n;i++)cout<<niz[i]<<" ";
}